<?php

namespace App\Http\Controllers;

use Stripe\Stripe;
use Illuminate\Http\Request;
use Stripe\PaymentIntent;

//ESCUELA LIBERTAD FINANCIERA - METODO VIVE LIBRE
//sk_test_HY7ZDj8nmToLZ1j77Vz1TiR5
//sk_live_KMwD645xNURoBlPcOxbUsLz9

class Generaficha_Membresia extends Controller
{
    public function generarFichaM(Request $request)
    {
        $name = $request->input('name');
        $email = $request->input('email');
        $phone = $request->input('phone');
        $price = $request->input('price');
        $productName = $request->input('product_name'); // Nuevo campo para el nombre del producto

        
        // Verificar si falta algún dato
        if($name == null || $email == null || $phone == null || $price == null || $productName == null){
            return response()->json(['error' => 'Faltan datos'], 400);
        }else{ 
            // Configura tu clave secreta de Stripe
            $stripe = new \Stripe\StripeClient('sk_live_KMwD645xNURoBlPcOxbUsLz9');
            
           //TRANSFERENCIA CON FACTURAS
            // Crear un cliente
            $customer = $stripe->customers->create([
                'name' =>  $name,
                'email' => $email,
                'phone' =>  $phone,
            ]);

            $customerId = $customer->id;
            
            $productDescription = "Producto: Método Vive Libre - Cliente: " . $email;
            
            // Crear un ítem de factura
            $stripe->invoiceItems->create([
                'customer' => $customerId,
                'amount' => $price, // El precio de la membresía
                'currency' => 'mxn',
                'description' => $productDescription, // Descripción personalizada
                'metadata' => [
                    'product_name' => 'Método Vive Libre',
                    'customer_name' => $name,
                    'customer_email' => $email,
                    'customer_phone' => $phone,
                ],
            ]);
            
            
            // Crear la factura con metadatos adicionales
            $invoices = $stripe->invoices->create([
                'customer' => $customerId,
                'payment_settings' => ['payment_method_types' => ['customer_balance']], // Usar saldo del cliente
                'collection_method' => 'send_invoice', // Enviar la factura por correo al cliente
                'auto_advance' => true, // Habilitar cobro automático cuando se vence
                'days_until_due' => 5, // Número de días hasta que la factura venza
                'metadata' => [
                    'product_name' => 'Método Vive Libre',
                    'customer_name' => $name,
                    'customer_email' => $email,
                    'customer_phone' => $phone,
                ],
            ]);

            $stripe->invoices->finalizeInvoice($invoices->id, []);
            
            
           $linkPago =  $stripe->invoices->retrieve($invoices->id);
            
            return response()->json(['message' => 'Ficha generada:)', 'name' => $name, 'email' => $email, 'phone' => $phone, 'id_fact'=>$invoices->id, 'price' => $price, 'url_pago' => $linkPago->hosted_invoice_url], 200);
        }
        
    }
}
